aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--BUILD.public5
-rw-r--r--LICENSE12
-rwxr-xr-xtools/create_skia_google3_client.sh7
-rwxr-xr-xtools/get_skia_lkgr.sh5
-rwxr-xr-xtools/git_clone_to_google3.sh13
-rwxr-xr-xtools/sync_google3.sh18
6 files changed, 41 insertions, 19 deletions
diff --git a/BUILD.public b/BUILD.public
index 322310acef..96950cccfb 100644
--- a/BUILD.public
+++ b/BUILD.public
@@ -273,13 +273,12 @@ cc_test(
"--nogpu",
"--verbose",
# TODO(mtklein): maybe investigate why these fail?
- "--match ~FontMgr ~Gif ~Scalar ~Canvas ~Codec_stripes ~Stream ~skps",
- # TODO(benjaminwagner): dm can't find resources when running on TAP.
+ "--match ~FontMgr ~Scalar ~Canvas ~Codec_stripes ~Codec_Dimensions ~Codec ~Stream ~skps",
"--resourcePath %s/resources" % BASE_DIR,
"--images %s/resources" % BASE_DIR,
],
copts = COPTS,
- data = glob(["resources/*"]),
+ data = glob(["resources/**/*"]),
defines = DEFINES,
includes = DM_INCLUDES,
deps = DM_EXTERNAL_DEPS + [
diff --git a/LICENSE b/LICENSE
index e97437da52..9ba021f08c 100644
--- a/LICENSE
+++ b/LICENSE
@@ -231,3 +231,15 @@ third_party/etc1 is under the following license:
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
+
+--------------------------------------------------------------------------------
+Some files under resources are under the following license:
+
+Unlimited Commercial Use
+We try to make it clear that you may use all clipart from Openclipart even for unlimited commercial use. We believe that giving away our images is a great way to share with the world our talents and that will come back around in a better form.
+
+May I Use Openclipart for?
+We put together a small chart of as many possibilities and questions we have heard from people asking how they may use Openclipart. If you have an additional question, please email love@openclipart.org.
+
+All Clipart are Released into the Public Domain.
+Each artist at Openclipart releases all rights to the images they share at Openclipart. The reason is so that there is no friction in using and sharing images authors make available at this website so that each artist might also receive the same benefit in using other artists clipart totally for any possible reason.
diff --git a/tools/create_skia_google3_client.sh b/tools/create_skia_google3_client.sh
index 8fbf4e2516..91c1bb1feb 100755
--- a/tools/create_skia_google3_client.sh
+++ b/tools/create_skia_google3_client.sh
@@ -10,9 +10,10 @@
# Usage:
# ./tools/create_skia_google3_client.sh <client_name>
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
-set -x -e
+set -e
CLIENT="$1"
g4 citc "${CLIENT}"
@@ -22,3 +23,5 @@ REV="$(cat README.google | grep -e "^Version" | sed "s/^Version: \(.*\)/\1/")"
MY_DIR="$(gbash::get_absolute_caller_dir)"
${MY_DIR}/git_clone_to_google3.sh --skia_rev "${REV}"
+
+echo "Created client ${CLIENT} synced to ${REV}"
diff --git a/tools/get_skia_lkgr.sh b/tools/get_skia_lkgr.sh
index 1c38dd5c45..2fc75b7e1e 100755
--- a/tools/get_skia_lkgr.sh
+++ b/tools/get_skia_lkgr.sh
@@ -6,9 +6,10 @@
# Outputs the Last Known Good Revision of Skia.
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
-set -x -e
+set -e
# Retrieve last known good revision. (App-engine script is very flaky, so retry
# 10 times.)
diff --git a/tools/git_clone_to_google3.sh b/tools/git_clone_to_google3.sh
index 38d79e3c01..9f64fc7514 100755
--- a/tools/git_clone_to_google3.sh
+++ b/tools/git_clone_to_google3.sh
@@ -10,17 +10,13 @@
# Usage:
# ./tools/git_clone_to_google3.sh
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
+
DEFINE_string skia_rev "" "Git hash of Skia revision to clone, default LKGR."
gbash::init_google "$@"
-set -x -e
-
-# To run this script after making edits, run:
-# g4 revert -k git_clone_to_google3.sh
-# To get the file back into your CL, run:
-# g4 edit git_clone_to_google3.sh
-#g4 opened | grep -q "//depot" && gbash::die "Must run in a clean client."
+set -e
# Checkout LKGR of Skia in a temp location.
TMP=$(gbash::make_temp_dir)
@@ -49,6 +45,7 @@ rsync -avzJ \
--include=/dm \
--include=/gm \
--include=/include \
+ --include=/resources \
--exclude=/src/animator \
--include=/src \
--include=/tests \
diff --git a/tools/sync_google3.sh b/tools/sync_google3.sh
index 57d6ac9f37..1d330ec573 100755
--- a/tools/sync_google3.sh
+++ b/tools/sync_google3.sh
@@ -11,9 +11,10 @@
# Usage:
# ./tools/sync_google3.sh
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
-set -x -e
+set -e
MY_DIR="$(gbash::get_absolute_caller_dir)"
LKGR="$(${MY_DIR}/get_skia_lkgr.sh)"
@@ -27,6 +28,8 @@ fi
cd "${GOOGLE3}/third_party/skia/HEAD"
${MY_DIR}/git_clone_to_google3.sh --skia_rev "${LKGR}"
+echo "Synced client ${CLIENT_NAME} to ${LKGR}"
+
# Update README.google.
sed --in-place "s/^Version: .*/Version: ${LKGR}/" README.google
sed --in-place "s/URL: http:\/\/skia.googlesource.com\/skia\/+archive\/.*\.tar\.gz/URL: http:\/\/skia.googlesource.com\/skia\/+archive\/${LKGR}.tar.gz/" README.google
@@ -39,5 +42,12 @@ g4 reopen
CHANGE="$(g4 change --desc "Update skia HEAD to ${LKGR}.")"
CL="$(echo "${CHANGE}" | sed "s/Change \([0-9]\+\) created.*/\1/")"
-# Run TAP.
-tap_presubmit -c "${CL}" -p skia
+echo "Created CL ${CL} (http://cl/${CL})"
+
+# Run presubmit (will run TAP tests).
+if g4 presubmit -c "${CL}"; then
+ echo "CL is ready for review and submit at http://cl/${CL}"
+else
+ echo "Presubmit failed for CL ${CL} in client ${CLIENT_NAME}" 1>&2
+ exit 3
+fi